Bug 160182 - During the refresh the Remove query action is enabled
During the refresh the Remove query action is enabled
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Bugzilla
6.x
All All
: P4 (vote)
: TBD
Assigned To: Tomas Stupka
issues@connecteddeveloper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 13:31 UTC by Jaromir Uhrik
Modified: 2009-07-27 09:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2009-03-12 13:31:37 UTC
Product Version: NetBeans IDE Dev (Build cdev-365-on-090312)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.6 running on i386; MacRoman; en_US (nb)

When pushing the Refresh button in the Query page then all the links but Remove get disabled for a while. I don't see a
reason why the Remove is enabled alone during the refresh.
Comment 1 Tomas Stupka 2009-03-12 15:26:02 UTC
not sure if this is a defect at all, definitely not a p3 

however, we might discuss if it makes sense to disable/enable the button ...
Comment 2 Tomas Stupka 2009-03-14 15:34:51 UTC
not that i would have a strong opinion on this, but i see no reason why the user shouldn't be allowed to remove a query
while it's being refreshed...

ondra - any ideas?
Comment 3 Ondrej Langr 2009-03-16 09:23:55 UTC
Don't see this as a real problem. Maybe more sort of a thing making the user to think: "Why only the refresh is enabled
and not other functions, is there any intention behind it?"

I don't see any harm in disabling refresh too, seems OK that if a query is "running", you can't remove it (although I
know it's not really true). 
Comment 4 Tomas Stupka 2009-05-12 17:50:12 UTC
fixed

changeset   : 131101:1d0c49bad4c5
author      : Tomas Stupka <tstupka@netbeans.org>
date        : Tue May 12 18:49:56 CEST 2009
Comment 5 Quality Engineering 2009-05-14 07:57:35 UTC
Integrated into 'main-golden', will be available in build *200905140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1d0c49bad4c5
User: Tomas Stupka <tstupka@netbeans.org>
Log: #160182 - During the refresh the Remove query action is enabled


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo